Redmine - Patch #7975

Hook for adding content to the side bar of Wiki page

2011-03-23 23:34 - Andriy Lesyuk

Status: Closed Start date: 2011-03-23
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Hook requests Estimated time: 0.00 hour
Target version: 4.1.0

Description

| believe it can be useful to have an ability to add some content (e.g. Facebook Like button) to the side bar of a Wiki page.

Attached patch adds hook :view_wiki_show_sidebar_top to the app/views/wiki/_sidebar.rhtml.

~/app/views/wiki$ patch < _sidebar.rhtml.patch

Associated revisions

Revision 18117 - 2019-05-03 02:23 - Go MAEDA
Add hook :view_wiki_show_sidebar_bottom (#7975).

Patch by okkez.

History

#1 - 2011-11-17 09:22 - Etienne Massip
- Category set to Plugin AP/

#2 - 2016-12-30 09:21 - Go MAEDA
- Category changed from Plugin API to Hook requests

#3 - 2017-08-24 02:46 - okkez _
- File add_wiki_sidebar_hooks.patch added

| want to add some features to wiki sidebar via my plugin.
So | want to add hooks to extend wiki sidebar.

| attach a patch to add hooks to extend wiki sidebar.
This patch can be applied to 3.4-stable branch and current master HEAD.

#4 - 2017-08-24 04:52 - Go MAEDA

- Target version set to Candidate for next major release

| think it is reasonable to have a new hook :view_wiki_show_sidebar_bottom as well as the following existing hooks.

:view_issues_sidebar_issues_bottom
:view_issues_sidebar_planning_bottom
:view_issues_sidebar_queries_bottom
:view_projects_show_sidebar_bottom

#5 - 2019-02-07 07:04 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

[

Since there is no '.*_sideber_.*bottom' hook, | suggest adding only :view_wiki_show_sidebar_bottom.

#6 - 2019-05-03 02:25 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA
Added :view_wiki_show_sidebar_bottom in r18117. Thank you all for your contribution.
